summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-libs/io_lib
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-libs/io_lib')
-rw-r--r--sci-libs/io_lib/Manifest4
-rw-r--r--sci-libs/io_lib/io_lib-1.10.1.ebuild23
-rw-r--r--sci-libs/io_lib/io_lib-1.11.2.1.ebuild26
-rw-r--r--sci-libs/io_lib/io_lib-1.12.5.ebuild32
-rw-r--r--sci-libs/io_lib/io_lib-1.13.2.ebuild31
-rw-r--r--sci-libs/io_lib/metadata.xml14
6 files changed, 130 insertions, 0 deletions
diff --git a/sci-libs/io_lib/Manifest b/sci-libs/io_lib/Manifest
new file mode 100644
index 00000000000..d2552c1ebad
--- /dev/null
+++ b/sci-libs/io_lib/Manifest
@@ -0,0 +1,4 @@
+DIST io_lib-1.10.1.tar.gz 254965 SHA256 380c9d584b2c851adcf02c8e40b8ecc86b292245dcb6baf76071766e33ce8c17 SHA512 78cae4cf6836c9ad9e95fe7210e475f1ec61a963065a277236acb815df0c8c08f8afad5f0b984a7f8cd7525aacb6e64119978a32d440b7789235929a5a72f480 WHIRLPOOL 970e6019e2d242847976396137700d7f71290b9011f0af1c64c3efb0c48a4dca48f6a7a510f3acef7cb3c5f25211d829936a927a69b54f43ded976c65e28f697
+DIST io_lib-1.11.2.1.tar.gz 385229 SHA256 5a7b90aec5971286200ebe42bf4105b58476f464d577d5c21245d64870a4596d
+DIST io_lib-1.12.5.tar.gz 782430 SHA256 0bcecddaad5e94f1f9d2e9f2ae37e4303b6e8d0c9f6dabecb6bbebd6816fe80f SHA512 414406fc26e0c991c0390bfa5d28d7682a458efbaa51f58df699665e6ff6f9ac3bda724508bf3b5f5cf666983bc2efec53ff719783fe14f54e79d54ca20158d0 WHIRLPOOL 41dc2264401faa145a64ba5544e85fb02be2418a087561bc966a1fb66267e66e7683f3cfd658428a92b4952e776bd1952eba4e4c69921180afea110a230e4e6d
+DIST io_lib-1.13.2.tar.gz 1579795 SHA256 780b1a52a3d3b96dd92b855623f7085a709978925e4e0eb25a8fc9e56a917df0 SHA512 2192c93a730f5fb6658f75fe6688605c813fcbeef8765d6b372c11a09e746536fdba7fcd20bc95bae3b11dfed0cd1bb52d6dd40cf33747164da91cb94a6ebcf9 WHIRLPOOL 01aedfa2dbe2b7742b901d60c0103b237246a5aa0d67848a503d89690fc94a93af4276f38aa1dfbaa85e58bec60041dc230743e8d6783b37e1df6489baba46e4
diff --git a/sci-libs/io_lib/io_lib-1.10.1.ebuild b/sci-libs/io_lib/io_lib-1.10.1.ebuild
new file mode 100644
index 00000000000..274295cc048
--- /dev/null
+++ b/sci-libs/io_lib/io_lib-1.10.1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="A general purpose trace and experiment file reading/writing interface"
+HOMEPAGE="http://staden.sourceforge.net/"
+SRC_URI="mirror://sourceforge/staden/${P}.tar.gz"
+LICENSE="staden"
+
+SLOT="0"
+KEYWORDS="~alpha amd64 ~ia64 ~ppc ~sparc x86"
+IUSE=""
+
+# Prototype changes in io_lib-1.9.0 create incompatibilities with BioPerl. (Only
+# versions 1.8.11 and 1.8.12 will work with the BioPerl Staden extensions.)
+DEPEND="!sci-biology/bioperl"
+RDEPEND="${DEPEND}"
+
+src_install() {
+ make install DESTDIR="${D}" || die
+
+ dodoc CHANGES README || die "Failed to install documentation."
+}
diff --git a/sci-libs/io_lib/io_lib-1.11.2.1.ebuild b/sci-libs/io_lib/io_lib-1.11.2.1.ebuild
new file mode 100644
index 00000000000..0a2908ea342
--- /dev/null
+++ b/sci-libs/io_lib/io_lib-1.11.2.1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="A general purpose trace and experiment file reading/writing interface"
+HOMEPAGE="http://staden.sourceforge.net/"
+SRC_URI="mirror://sourceforge/staden/${P}.tar.gz"
+LICENSE="staden"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~sparc ~x86"
+IUSE=""
+
+# Prototype changes in io_lib-1.9.0 create incompatibilities with BioPerl. (Only
+# versions 1.8.11 and 1.8.12 will work with the BioPerl Staden extensions.)
+DEPEND="!sci-biology/bioperl"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}-1.11.2"
+
+src_install() {
+ make install DESTDIR="${D}" || die
+
+ dodoc ChangeLog CHANGES README docs/{Hash_File_Format,ZTR_format} || \
+ die "Failed to install documentation."
+}
diff --git a/sci-libs/io_lib/io_lib-1.12.5.ebuild b/sci-libs/io_lib/io_lib-1.12.5.ebuild
new file mode 100644
index 00000000000..de54782ff1d
--- /dev/null
+++ b/sci-libs/io_lib/io_lib-1.12.5.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+DESCRIPTION="General purpose trace and experiment file reading/writing interface"
+HOMEPAGE="http://staden.sourceforge.net/"
+SRC_URI="mirror://sourceforge/staden/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+# needs stadden, not in portage
+RESTRICT=test
+# Prototype changes in io_lib-1.9.0 create incompatibilities with BioPerl. (Only
+# versions 1.8.11 and 1.8.12 will work with the BioPerl Staden extensions.)
+#DEPEND="!sci-biology/bioperl"
+DEPEND="net-misc/curl
+ sys-libs/zlib"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ econf $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ dodoc docs/{Hash_File_Format,ZTR_format}
+}
diff --git a/sci-libs/io_lib/io_lib-1.13.2.ebuild b/sci-libs/io_lib/io_lib-1.13.2.ebuild
new file mode 100644
index 00000000000..d4af8038ef8
--- /dev/null
+++ b/sci-libs/io_lib/io_lib-1.13.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools-utils
+
+DESCRIPTION="General purpose trace and experiment file reading/writing interface"
+HOMEPAGE="http://staden.sourceforge.net/"
+SRC_URI="mirror://sourceforge/staden/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+# needs stadden, not in portage
+RESTRICT=test
+# Prototype changes in io_lib-1.9.0 create incompatibilities with BioPerl. (Only
+# versions 1.8.11 and 1.8.12 will work with the BioPerl Staden extensions.)
+#DEPEND="!sci-biology/bioperl"
+DEPEND="
+ net-misc/curl
+ sys-libs/zlib"
+RDEPEND="${DEPEND}"
+
+src_install() {
+ autotools-utils_src_install
+ dodoc docs/{Hash_File_Format,ZTR_format}
+}
diff --git a/sci-libs/io_lib/metadata.xml b/sci-libs/io_lib/metadata.xml
new file mode 100644
index 00000000000..637e1320bb6
--- /dev/null
+++ b/sci-libs/io_lib/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci</herd>
+ <longdescription>
+ io_lib is a library of file reading and writing code to provide a
+ general purpose trace file (and Experiment File) reading interface. The
+ programmer simply calls the (eg) read_reading to create a "Read" C structure
+ with the data loaded into memory.
+</longdescription>
+ <upstream>
+ <remote-id type="sourceforge">staden</remote-id>
+ </upstream>
+</pkgmetadata>